Open CASCADE Technology: ProjLib_HCompProjectedCurve Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Attributes
ProjLib_HCompProjectedCurve Class Reference

`#include <ProjLib_HCompProjectedCurve.hxx>`

Inheritance diagram for ProjLib_HCompProjectedCurve:
[legend]

## Public Member Functions
| ProjLib_HCompProjectedCurve ()
| ProjLib_HCompProjectedCurve (const ProjLib_CompProjectedCurve &C)
void | Set (const ProjLib_CompProjectedCurve &C)
const Adaptor2d_Curve2d & | Curve2d () const
| Returns a reference to the Curve2d inside the HCurve2d. More...
ProjLib_CompProjectedCurve & | ChangeCurve2d ()
Public Member Functions inherited from Adaptor2d_HCurve2d
Standard_Real | FirstParameter () const
Standard_Real | LastParameter () const
GeomAbs_Shape | Continuity () const
Standard_Integer | NbIntervals (const GeomAbs_Shape S) const
void | Intervals (TColStd_Array1OfReal &T, const GeomAbs_Shape S) const
Handle< Adaptor2d_HCurve2d > | Trim (const Standard_Real First, const Standard_Real Last, const Standard_Real Tol) const
| If <First> >= <Last> More...
Standard_Boolean | IsClosed () const
Standard_Boolean | IsPeriodic () const
Standard_Real | Period () const
gp_Pnt2d | Value (const Standard_Real U) const
void | D0 (const Standard_Real U, gp_Pnt2d &P) const
void | D1 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V) const
void | D2 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2) const
void | D3 (const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2, gp_Vec2d &V3) const
gp_Vec2d | DN (const Standard_Real U, const Standard_Integer N) const
Standard_Real | Resolution (const Standard_Real R3d) const
GeomAbs_CurveType | GetType () const
gp_Lin2d | Line () const
gp_Circ2d | Circle () const
gp_Elips2d | Ellipse () const
gp_Hypr2d | Hyperbola () const
gp_Parab2d | Parabola () const
Standard_Integer | Degree () const
Standard_Boolean | IsRational () const
Standard_Integer | NbPoles () const
Standard_Integer | NbKnots () const
Handle< Geom2d_BezierCurve > | Bezier () const
virtual Handle < Geom2d_BSplineCurve > | BSpline () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Attributes
ProjLib_CompProjectedCurve | myCurve

## Constructor & Destructor Documentation

ProjLib_HCompProjectedCurve::ProjLib_HCompProjectedCurve | ( |  | ) |

ProjLib_HCompProjectedCurve::ProjLib_HCompProjectedCurve | ( | const ProjLib_CompProjectedCurve & | C | ) |

## Member Function Documentation

ProjLib_CompProjectedCurve& ProjLib_HCompProjectedCurve::ChangeCurve2d | ( |  | ) |

const Adaptor2d_Curve2d& ProjLib_HCompProjectedCurve::Curve2d | ( |  | ) | const
| virtual

Returns a reference to the Curve2d inside the HCurve2d.

Implements Adaptor2d_HCurve2d.

void ProjLib_HCompProjectedCurve::Set | ( | const ProjLib_CompProjectedCurve & | C | ) |

## Field Documentation

ProjLib_CompProjectedCurve ProjLib_HCompProjectedCurve::myCurve
| protected

The documentation for this class was generated from the following file:

- ProjLib_HCompProjectedCurve.hxx